<p class="title">Step 2: General settings</p>
<div class="main">
<?php 
if ($warning)
	echo('<p class="warning">' . $warning . '</p><br />');
?>
<form method="post" action="setup_en.php?step=3">
<p><b>Site name:</b> <input name="sitename" type="text" value="<?php echo ($sitename); ?>" size="50" maxlength="100" /></p><br />
<p>The site name will be displayed in the title bar of the visitor's browser on each page. Possible values include "Jim's download site" or "My favorite sharewares".</p><br /><br />
<p><b>Upload folder:</b> <input name="folder" type="text" value="<?php echo ($uploaddir); ?>" size="50" maxlength="100" /></p><br />
<p>This folder is where downloadable files will be stored.<br /><br />
Ideally, this folder shouldn't be directly available through the Web server (because that could allow users to short-circuit the interface).<br /><br />
Some examples:<br />
'/home/john/cg_downloader/' [Unix] or 'C:/docs/files/' [Windows] (do not forget le trailing /)<br /><br />
If your hosting company has not allocated some "private" storage space, you'll need to think up a hard-to-guess folder name to store your files.<br /><br />
For example: '/var/www/www.exemple.com/cg_downloader/really_hard_to_guess_folder/'<br /><br />
The Web server requires at least read access to this folder, and write access as well to use integrated data management features.</p><br /><br />
<p><b>Default language:</b> <input name="lang" type="text" value="<?php echo ($lang); ?>" size="32" maxlength="6" /></p><br />
<p>This is used to set the default language. Some valid languages are: en_US, en_GB, fr_FR, de_DE.</p><br /><br />
<p><b>CHMOD setting:</b> <input name="chmod" type="text" value="<?php echo ($chmod); ?>" size="32" maxlength="4" /></p><br />
<p>This CHMOD will be applied to all files and folders uploaded or created through the data management options. If you are not sure what this means, you should leave the default value '0777' otherwise you may be unable to delete some files via FTP anymore.</p><br /><br />
<p><b>Charset:</b> <input name="charset" type="text" value="<?php echo ($conf_charset); ?>" size="32" maxlength="10" /></p><br />
<p>ISO-8859-1 and UTF-8 charsets are supported.</p><br /><br />
<p><b>Max download speed:</b> <input name="dl_speed" type="text" value="<?php echo ($dl_speed); ?>" size="32" maxlength="5" /></p><br />
<p>This setting allows the manager to limit the maximum speed visitors will be able to achieve when downloading from the server. The figure is given in kilobytes per second (kB/s), and entering '0' disables the speed limit.<br />
Please note that the limit is per file, and not a global setting.</p><br /><br />
<p><b>Allow anonymous access:</b> <input name="anonymous_access" <?php echo ($anon_check); ?> type="checkbox" /></p><br />
<p>If you check this option, anonymous visitors will be able to access all shared files. If you need more security, you should create a folder for anonymous access and block anonymous visitors in it using the '$AnonymousFolder' variable in the conf.php configuration file.</p>
<br />
<input type="submit" value="Submit" />
</form>
</div>
